<?xml version="1.0" encoding="GB2312"?>
<Config>
	<FacesrEnbale>0</FacesrEnbale>
	<PlatformInfo>QUALCOMM</PlatformInfo>
	<UseFaceSR>0</UseFaceSR>
	<UseFaceSRBokeh>1</UseFaceSRBokeh>  <!-- facesr switch for Bokeh -->
	<OneFaceSR>0</OneFaceSR>			<!-- 1:Only one face for FaceSR -->
	<OneScaleT>1.5</OneScaleT>			<!-- The threshold between the first two faces -->
	<MinFaceSize>100</MinFaceSize>  	<!-- <MinFaceArea>120000</MInFaceArea> -->
	<MaxFaceSize>8000</MaxFaceSize>  	<!-- <MaxFaceArea>1920000</MaxFaceArea> -->
	<FaceRatio>1.334</FaceRatio>
	<MaxFaceTime>1500</MaxFaceTime>
	<ISOLimit>500</ISOLimit>
	<CalcMethod>0</CalcMethod>  		<!-- 0 represents for running on mobiles£»1 represents for running on server-->
	<ipuSubfix>.ms</ipuSubfix>
	<Network2x>idndeblur_5432_26000</Network2x>
	<Weights2x>idndeblur_5432_26000</Weights2x>
	<Network4xLow>idndeblur_5432_26000</Network4xLow>
	<Weights4xLow>idndeblur_5432_26000</Weights4xLow>
	<Network4xHigh>idndeblur_5432_26000</Network4xHigh>
	<Weights4xHigh>idndeblur_5432_26000</Weights4xHigh>
	<TransitionRatio>0.2</TransitionRatio>
	<FacePrejudgeRatio>0.0</FacePrejudgeRatio>
	<DetDarkFace>0</DetDarkFace>
	<TopHistNum>5</TopHistNum>
	<TopAvgThresh>45</TopAvgThresh>

	<useConvertColor>0</useConvertColor>
	<usefaceparsing>1</usefaceparsing>
	<faceParsingNetName>/vendor/etc/camera/semantic/model/human/new_parsing_cache</faceParsingNetName>
	<faceParsingNetInC>3</faceParsingNetInC>
	<faceParsingNetInH>256</faceParsingNetInH>
	<faceParsingNetInW>256</faceParsingNetInW>
	<faceParsingNetOutC>16</faceParsingNetOutC>
	<faceParsingNetOutH>256</faceParsingNetOutH>
	<faceParsingNetOutW>256</faceParsingNetOutW>
	<faceParsingNet>
		<nnUsage>8</nnUsage> <!-- 0 stands for NN_USAGE_NPU, 5 stands for NN_USAGE_HYBRID, Hisi platform use 0, and Mtk use 5, default is 0 -->
		<tensorDataType>1</tensorDataType> <!-- 1 stands for NN_DT_FP32, 4 stands for NN_DT_UINT8, 5 stands for NN_DT_INT16, default is 1 -->
		<tensorBufType>1</tensorBufType> <!-- 0 stands for NN_BT_NCHW, 1 stands for NN_BT_NHWC, default is 0 -->
	</faceParsingNet>
	<pasingNetNeedSubNorm>0</pasingNetNeedSubNorm>
	<useInLandMark>1</useInLandMark>
	<maxLongEdge>4000</maxLongEdge>
	<maxShortEdge>3000</maxShortEdge>
    <maxIso>3200</maxIso> <!-- MAX iso supportted. when iso > maxIso, network is closed. -->
	<COLOR_NETWORK>
		<ColorFacesrEnable>0</ColorFacesrEnable> <!-- Color Facesr switch, 1 is Enable 0 is Closed -->
	</COLOR_NETWORK>
	<isRgbFaceSrNet>1</isRgbFaceSrNet>
	<facesrNet>
		<tensorBufType>1</tensorBufType> <!-- 0 stands for NN_BT_NCHW, 1 stands for NN_BT_NHWC, default is 0 -->
		<nnUsage>8</nnUsage> <!-- 0 stands for NN_USAGE_NPU, 5 stands for NN_USAGE_HYBRID, Hisi platform use 0, and Mtk use 5, default is 0 -->
		<tensorDataType>1</tensorDataType> <!-- 0 stands for NN_DT_FP16, 5 stands for NN_DT_INT16, 3 stands for NN_DT_INT8, default is 0 -->
	</facesrNet>
	<TeleFacesrNet>
		<FacesrTeleEnable>1</FacesrTeleEnable> <!-- Tele Facesr switch, 1 is Enable 0 is Closed -->
		<NetworkNum>2</NetworkNum> <!-- Tele Facesr Num -->
		<zoomTh>1</zoomTh> <!-- Threshold for tele facesr net. When zoom ratio >= zoomTh, 
						     Facesr net is Enabled. zoom < zoomTh, Facesr Net is closed.-->
		<constrain>
			<constrainLvNum>3</constrainLvNum> <!--num of stages.-->
			<constrainLv0>
				<maxZoomRatio>15</maxZoomRatio> <!--when zoomRatio <= maxZoomRatio, use this level.-->
				<minFaceSzSup>0</minFaceSzSup> <!-- when faceSize w or h <  minFaceSzSup, bypass facesr.-->
				<maxFaceSzSup>1800</maxFaceSzSup> <!-- when faceSize w or h >  maxFaceSzSup, bypass facesr.-->
			</constrainLv0>
			<constrainLv1>
				<maxZoomRatio>20</maxZoomRatio> <!--when zoomRatio <= maxZoomRatio, use this level.-->
				<minFaceSzSup>0</minFaceSzSup> <!-- when faceSize w or h <  minFaceSzSup, bypass facesr.-->
				<maxFaceSzSup>2600</maxFaceSzSup> <!-- when faceSize w or h >  maxFaceSzSup, bypass facesr.-->
			</constrainLv1>
			<constrainLv2>
				<maxZoomRatio>30</maxZoomRatio> <!--when zoomRatio <= maxZoomRatio, use this level.-->
				<minFaceSzSup>0</minFaceSzSup> <!-- when faceSize w or h <  minFaceSzSup, bypass facesr.-->
				<maxFaceSzSup>3600</maxFaceSzSup> <!-- when faceSize w or h >  maxFaceSzSup, bypass facesr.-->
			</constrainLv2>
		</constrain>
		<network0>
			<netname>/odm/etc/camera/cnnmodel/facesr/facesr_tele</netname>
			<inputC>3</inputC>
			<inputH>512</inputH>
			<inputW>512</inputW>
			<outputC>3</outputC>
			<outputH>512</outputH>
			<outputW>512</outputW>

		</network0>
		<network1>
			<netname>/vendor/etc/camera/cnnmodel/facesr/facesr_v2_net2</netname>
			<inputC>1</inputC>
			<inputH>512</inputH>
			<inputW>512</inputW>
			<outputC>1</outputC>
			<outputH>512</outputH>
			<outputW>512</outputW>
		</network1>
		<faceQlt>
			<enableQlt>1</enableQlt> <!--when faceQulityTh faceQlt from net > FaceQltTh, will run facesr.-->
			<FaceQltTh>0.1</FaceQltTh> <!--when faceQulityTh faceQlt from net > FaceQltTh, will run facesr.-->
			<FaceQltFaceMaskTh>0.5</FaceQltFaceMaskTh> <!--when FaceQltFaceMaskTh faceQlt from net > FaceQltFaceMaskTh, will run facesr.-->
			<tensorBufType>1</tensorBufType> <!-- 0 stands for NN_BT_NCHW, 1 stands for NN_BT_NHWC, default is 0 -->
			<nnUsage>8</nnUsage> <!-- 0 stands for NN_USAGE_NPU, 5 stands for NN_USAGE_HYBRID, Hisi platform use 0, and Mtk use 5, default is 0 -->
			<tensorDataType>1</tensorDataType> <!-- 0 stands for NN_DT_FP16, 5 stands for NN_DT_INT16, 3 stands for NN_DT_INT8, default is 0 -->
		</faceQlt>
	</TeleFacesrNet>
	<blendParams>
		<enable>1</enable>
		<alpha>0.8</alpha>
	</blendParams>
</Config>
